<?php
function ProductosLista($categ){
 $sql="SELECT * FROM web_productos
    WHERE categoria = '$categ';";
    $db = new DB();
    $Fotos = new DB();
    $db->dbSQL($sql);
    $html = '';

    while($db->next()){
        $prod_nombre = utf8_encode($db->dbField('prod_nombre'));
        $prod_preciounitario = number_format($db->dbField('prod_preciounitario'),2);
        $prod_codigo = $db->dbField('prod_codigo');

        $sqlFotos = "SELECT * FROM web_media
        WHERE prod_codigo = '$prod_codigo';";
        $Fotos->dbSQL($sqlFotos);
        $Fotos->next();
        $med_archivo = PATH_HOME.'files/'.$Fotos->dbField('med_archivo');
        
        $html.='<div class="col-md-6 col-lg-4 col-xl-3">
            <div class="rounded position-relative fruite-item">
                <div class="fruite-img">
                    <img src="'.$med_archivo.'" class="img-fluid w-100 rounded-top" alt="">
                </div>
                <div class="p-4 border border-secondary border-top-0 rounded-bottom">
                    <h4>'.$prod_nombre.'</h4>
                    <p><b>Precio Unitario: </b>Bs. '.$prod_preciounitario.'<br>
                    <b>Código: </b>'.$prod_codigo.'</p>
                </div>
            </div>
        </div>';
    }

    return $html;
}
?>
<div class="container-fluid fruite py-5">
            <div class="container py-5">
                <div class="tab-class text-center">
                    <div class="row g-4">
                        <div class="col-lg-4 text-start">
                            <h1>Nuestros Productos</h1>
                        </div>                       
                    </div>
                    <div class="tab-content">
                        <div id="tab-1" class="tab-pane fade show p-0 active">
                            <div class="row g-4">
                                <div class="col-lg-12">
                                    <div class="row g-4">
                                        <?php 
                                        $Categorias = new DB();
                                        $sql = "SELECT * FROM web_categorias;"; 
                                        $Categorias->dbSQL($sql);
                                        $html = '';
                                        while($Categorias->next()){
                                            $categ_codigo = $Categorias->dbField('categ_codigo');
                                            $categ_nombre = utf8_encode($Categorias->dbField('categ_nombre'));
                                            $html.='<h2>'.$categ_nombre.'</h2>';
                                            $html.=ProductosLista($categ_codigo);
                                        }
                                        echo $html;
                                        ?>                                        
                                    </div>
                                </div>
                            </div>
                        </div>
                        
                        
                    </div>
                </div>      
            </div>
        </div>